Backup schedule
2 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getBackupScheduleTask | GET | Get backup schedule task |
| modifyBackupScheduleTask | POST | Modify backup schedule task |
getBackupScheduleTask
GET /openapi/v1/{omadacId}/backupschedule/task
Get backup schedule task
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getBackupScheduleTask"
}Details, permissions and error codes
Get backup schedule task.
The interface requires one of the permissions:
Global Other Setting Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
modifyBackupScheduleTask
POST /openapi/v1/{omadacId}/backupschedule/task
Modify backup schedule task
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema AutoBackupOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | Whether enable backup schedule task |
occurrence | BaseScheduleTimeVO | no | (BaseScheduleTimeVO not expanded; call omada_get_schema "BaseScheduleTimeVO") |
maxNumberOfFile | integer | no | Max number of schedule backup files |
retention | integer | no | Retention setting for data, values are as follows: -1 retention settings only, 0 backup all data, only for software controller, 7 retention backup data for 7 days, 30 retention backup data for 30 days, 60 retention backup data for 60 days, 90 retention backup data for 90 days, 180 retention backup data for 180 days, 365 retention backup data for 365 days |
savingPath | string | no | Saving path for backup schedule |
availablePaths | array<string> | no | Available paths for backup schedule |
fileServerConfig | FileServerOpenApiVO | no | (FileServerOpenApiVO not expanded; call omada_get_schema "FileServerOpenApiVO") |
storageType | integer | no | Storage type, values are as follows: 0 for file server, 1 for cloud server(only for Cloud based controller), 2 for local disk, null for default path |
dataSheets | array<string> | no | Data to backup, values are as follows: knowClient, omadaLog, auditLog. |
retainSetting | boolean | no | Whether retain setting when backup. |
retainUser | boolean | no | Whether retain user when backup. |
retainAuthRecord | boolean | no | Whether retain auth record when backup. |
retainFirmwareLog | boolean | no | Whether retain firmware log when backup. |
// omada_call_operation
{
"operationId": "modifyBackupScheduleTask",
"body": "{...}"
}Details, permissions and error codes
Modify backup schedule task.
The interface requires one of the permissions:
Global Other Setting Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.